module.exports = function (config) {
  config.set({
    frameworks: ["mocha"],
    // plugins: ['karma-webpack', 'karma-mocha', 'karma-chai-as-promised'],
    webpack: {
      // karma watches the test entry points
      // Do NOT specify the entry option
      // webpack watches dependencies
      // webpack configuration
    },
    preprocessors: {
      "test/**/*.js": ["webpack"],
      "radiomanifest.js": ["webpack"],
    },
    files: ["radiomanifest.js", "test/**/*.js"],
    reporters: ["progress"],
    port: 9876, // karma web server port
    colors: true,
    logLevel: config.LOG_INFO,
    browsers: ["ChromeHeadless", "FirefoxHeadless"],
    autoWatch: false,
    concurrency: Infinity,
    customLaunchers: {
      FirefoxHeadless: {
        base: "Firefox",
        flags: ["-headless"],
      },
    },
  });
};
